Summary:	Description of Finnish morphology written in Malaga
Name:		voikko-fi
Version:	2.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Text tools
URL:		https://voikko.puimula.org/
Source:		https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	python3
BuildRequires:	voikko-tools
BuildRequires:	foma
# NOTE: Packages are endianness specific, but all Mageia architectures are little-endian
# and having this as no-noarch causes issues with urpmi:
# https://bugs.mageia.org/show_bug.cgi?id=5404
BuildArch:	noarch
Requires:	locales-fi
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	enchant-dictionary = 3
Provides:	voikko-dictionary
Provides:	voikko-fi_FI
Provides:	spell-fi
Provides:	suomi-malaga = %{version}-%{release}
Obsoletes:	suomi-malaga < 2.1
Obsoletes:	suomi-malaga-voikko < 1.0

%description
Voikko-fi (previously know as Suomi-malaga) is a description of
Finnish morphology written for libvoikko.

%prep
%setup -q

mkdir -p build

%build
%make_build vvfst \
	VVFST_BUILDDIR=build \
	GENLEX_OPTS="--extra-usage=it" \
	EXTRA_LEX="vocabulary/erikoisalat/linux-distributions.lex vocabulary/erikoisalat/atk-lyhenteet.lex"

%install
# Files differ on big-endian and small-endian archs, and they have different
# names (*_l vs *_b). This is the reason we use %{_prefix}/lib instead of
# %{_datadir} and won't noarch the package. Note that we use %{_prefix}/lib
# instead of %{_libdir} to achieve biarch compatibility. That is, if the user
# has both libvoikkoX and lib64voikkoX installed, both of them work with the
# same voikko-fi package.
make vvfst-install VVFST_BUILDDIR=build DESTDIR=%{buildroot}%{_prefix}/lib/voikko

%files
%doc README.md CONTRIBUTORS
%dir %{_prefix}/lib/voikko
%{_prefix}/lib/voikko/?/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.5-2.mga10
+ Revision: 2216653
- Mageia 10 Mass Rebuild

* Tue Dec 06 2022 daviddavid <daviddavid> 2.5-1.mga9
+ Revision: 1918397
- new version: 2.5

* Sat Mar 26 2022 umeabot <umeabot> 2.4-2.mga9
+ Revision: 1827735
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 2.4-1.mga9
+ Revision: 1696992
- new version: 2.4

* Sun Feb 16 2020 umeabot <umeabot> 2.3-2.mga8
+ Revision: 1535083
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 daviddavid <daviddavid> 2.3-1.mga8
+ Revision: 1451368
- new version: 2.3

* Fri Sep 21 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1291993
- Mageia 7 Mass Rebuild

* Sat Dec 16 2017 wally <wally> 2.2-1.mga7
+ Revision: 1182956
- new version 2.2

* Sat Jan 28 2017 wally <wally> 2.1-1.mga6
+ Revision: 1083834
- new src rpm name voikko-fi
- new version 2.1

* Sat Feb 06 2016 umeabot <umeabot> 1.16-4.mga6
+ Revision: 940797
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.16-3.mga5
+ Revision: 739709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 689616
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 anssi <anssi> 1.16-1.mga5
+ Revision: 608887
- new version 1.16

* Tue Oct 22 2013 umeabot <umeabot> 1.14-2.mga4
+ Revision: 544444
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.14-1.mga4
+ Revision: 499710
- new versino 1.14

* Fri Apr 05 2013 anssi <anssi> 1.13-1.mga3
+ Revision: 408396
- new version 1.13
- update descriptions
- Rename source rpm from voikko-fi to suomi-malaga to match upstream name

* Mon Jan 14 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 385478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 tv <tv> 1.10-2.mga3
+ Revision: 308218
- make it noarch (mga#5404)
- rip %%clean && BuildRoot

* Sun Feb 12 2012 anssi <anssi> 1.10-1.mga2
+ Revision: 208103
- new version

* Fri Jan 14 2011 anssi <anssi> 1.8-1.mga1
+ Revision: 17779
- new version
- clarify summary
- imported package voikko-fi

